# SpreeGranify

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/spree_granify`. To experiment with that code, run `bin/console` for an interactive prompt.

Spree Commerce versions:
- Spree Core - 3.6

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'spree_granify'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install spree_granify

## Usage

# Snippet initialization

Insert ```<%= initial_granify_script('vendor/assets/javascripts/granify_snippet_initializer.js', site_id) %>``` into the <head> section of your site, It must appear on every page.
Paste instead site_id uniq id of your site which you get from Granfiy after registration. Also you can change path to file with snippet code (by default it stored in ```'vendor/assets/javascripts/granify_snippet_initializer.js' ```)

# Track Page Views

Use ```<%= track_page_views(page) %>``` to tell Granify about the page the shopper is currently on. Add helper to <body> section of your views on every page.
The page parameter is a String that indicates the type of page the shopper is currently on. Allowed values are:

Accepted Values  | Description
---- | ----------------------
"home" | Website homepage.
"product" | Product detail pages.
"collection" | Pages which display a collection, catalog or list of products.
"cart" | The page that displays current cart contents.
"checkout" | A page in the checkout process.
"receipt" | Page shown after completing an order.
"search" | Search results pages, ex: "Results for iPhone case".
"blog" | Any pages/posts relating to your blog.
"other" | Any other pages (FAQs, About Us, etc).

# Track Cart Details

Use ```<%= track_cart_details(order) %>``` to tell Granify what items the shopper currently has in their cart (instance of Order class). This code should appear on your cart page or every time the cart changes.
The items parameter is an Array that represents the contents of the cart. Each item in the array must have the following attributes:

Variable name | Data Type | Description
------------- | ------------- | -------------
id | String | Product ID or SKU
quantity | Integer | Quantity of this product in the cart
price | Float | Unit price of the product
title | String | Name or title of the product

Do you have an AJAX cart system?

You’ll need to call Granify.trackCart(cartObj) every time the cart contents changes. This includes adding items to the cart, removing items, or changing quantities. Our recommended approach is to do this inside an event handler that’s called whenever your cart changes.

Example

```
    Granify.trackCart({
        items: [
        {
            id: "1",
            quantity: 1,
            price: 100.00,
            title: "My Product Title"
        },
        {
            id: "2",
            quantity: 1,
            price: 50.00,
            title: "Another Product Title"
        }]
    });

```
# Track Order Details

Use ```<%= track_complete_order(complete_order) %>``` to notify Granify about completed purchases. Place this code on the page displayed after the order has been finalized & paid (ex: the receipt page).
Depending on the available order information you may choose to send only the required parameters or additional data.

Variable name | Data Type | Description
------------- | ------------- | -------------
currency | String | Currency of the price values
subtotal_price | Float | Total value of the items in the order after discounts but before shipping or taxes.
order_number | String | Your unique identifier for this order
total_line_items_price | Float | (Recommended) Total value of all items in the cart before any discounts, taxes and shipping
total_tax | Float | (Recommended) Total value of any taxes applied to this order
total_shipping | Float | (Recommended) Total value of any shipping taxes applied to this order
total_price | Float | (Recommended) Total price after discounts including shipping and possibly taxes

##Testing

Be sure to bundle your dependencies and then create a dummy test app for the specs to run against.

```shell
bundle
bundle exec rake test_app
bundle exec rspec spec
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
