require 'spec_helper'

describe Spree::Order, type: :model do
  describe 'Instance methods' do
    let(:order)        { create :order_with_line_items }
    let(:line_item)    { order.line_items.first}
    let(:cart_wrapped) {[{ id:       line_item.sku,
                           quantity: line_item.quantity,
                           price:    line_item.price.to_f,
                           title:    line_item.name }].to_json.html_safe}
    let(:complete_order_wrapped) {
      {
        'currency'               => order.currency,
        'subtotal_price'         => order.item_total.to_f,
        'order_number'           => order.number,
        'total_line_items_price' => order.item_total.to_f,
        'total_tax'              => (order.included_tax_total.to_f + order.additional_tax_total.to_f),
        'total_shipping'         => order.ship_total.to_f,
        'total_price'            => order.total.to_f
      }.to_json.html_safe}

    it 'should wrap cart to granify format' do
      expect(order.serialize_cart_to_granify_format).to eq cart_wrapped
    end

    it 'should wrap complete order to granify format' do
      expect(order.serialize_order_to_granify_format).to eq complete_order_wrapped
    end
  end
end