# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'spree_granify/version'

Gem::Specification.new do |spec|
  spec.name          = 'spree_granify'
  spec.platform      = Gem::Platform::RUBY
  spec.version       = SpreeGranify::VERSION
  spec.authors       = ['anatolii-volodko']
  spec.summary       = 'Integration your Spree Commerce app with Granify'
  spec.description   = 'Integration your e-commerce app with Granify (Automatic Revenue Optimization Platform for Ecommerce). Can be used not only with Spree Commerce based apps'
  spec.email         = 'info@jetruby.com'
  spec.homepage      = 'http://jetruby.com/'
  spec.license       = 'MIT'
  spec.required_ruby_version = '>= 1.9.3'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib', 'vendor']

  spec.add_dependency 'spree_core', '~> 3.6.0'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'factory_bot_rails', '~> 4.10.0'
  spec.add_development_dependency 'database_cleaner'
  spec.add_development_dependency 'sqlite3'

  spec.add_development_dependency 'capybara', '~> 2.1'
  spec.add_development_dependency 'coffee-rails'
  spec.add_development_dependency 'ffaker', '~> 2.2'
  spec.add_development_dependency 'rspec-rails',  '~> 3.7.1'
  spec.add_development_dependency 'selenium-webdriver'
  spec.add_development_dependency 'sass-rails'
end

